Skip to main content
GET
/
virtual-wallets
/
{walletId}
curl -X GET "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": "client_xyz789",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}
Retrieves a specific virtual wallet by its unique identifier. Requires an API key with access level 1 or higher.

Path parameters

walletId
string
required
Unique identifier of the virtual wallet.

Response

id
string
Unique virtual wallet identifier.
alias
string
Wallet alias.
client_id
string
Associated client identifier.
wallet_address
string
On-chain wallet address.
blockchain
string
Blockchain network.
enabled
boolean
Whether the wallet is enabled.
curl -X GET "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": "client_xyz789",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}